Casi el 98% usan PHP obsoleto

Implementador WordPress y VPS
Implementador WordPress y VPS
Casi el 98% usan PHP obsoleto
icon loader
/
Casi el 98% usan PHP obsoleto

A finales del 2019 hablamos sobre la llegada de PHP 7.4, a pocos días del 2020 hablamos sobre el uso de PHP 8.0 hoy quiero compartir con vos datos muy preocupantes del blog de WPSEC sobre el uso obsoleto de PHP.

  • A partir de PHP 7
  • Hemos visto mejoras en el rendimiento
  • Algunos estudios revelan que las versiones 7-8
  • Son dos veces más rápidas
  • Actualizar a PHP 8
  • Tampoco es cosa de rendimiento
  • PHP 7 esta llegando al final de su vida útil
  • Y aunque falta un poco para que esto suceda
  • Mi consejo desde ya:
    • Comenzá a hacer pruebas con PHP 8
    • Yo he actualizado varios blogs y webs sencillas
    • Y de momento todo correcto
  • ¿Por que debería actualizarme?
    • el uso de versiones obsoletas no es buena idea
    • Entre más antiguo es un software
    • Es más probable que se encuentren vulnerabilidades
    • Funciones obsoletas y falta de soporte
    • Los desarrolladores llegan a su punto de EOL
    • En el que dejan de dar soporte
    • Actualizaciones importantes y parches de seguridad
    • Es palabras sencillas
    • Si estás usando software obsoleto… Y algo pasa:
      • Estás vos solo
  • PHP 7 se lanzó en 2015
  • Y el 68.9% de todos los sitios webs que usan PHP
  • Están con 7.X
  • A eso le sumamos el 29.7% – PHP 5
  • Y no olvidemos que PHP 5.6 llegó a EOL en el 2018
  • Sabés que va a pasar el 28 de noviembre de 2021
  • Es decir a un par de días
  • PHP 7.4 llegará a su EOL
  • Y antes de que salgas corriendo a actualizar todo a lo loco…
  • Se tendrás parches de seguridad hasta el 28 de noviembre del 2022
  • Pero mi consejo con este episodio…
    • Es que te pongas ya manos a la obra
    • Hace un clon de tus WordPress
    • En un VPS identico:
      • Mismo panel
      • Mismas versiones de todo el software
    • Pero elegí para tu WordPress PHP 8
    • En lugar de 7.4
    • Y proba que todo funcione con normalidad
    • Te vas a sorprender que serán detalles lo que pueden surgir
  • Si algo pasa… Si un plugin funciona irregular
  • Te recomiendo reportar el bug
  • Y solicitar en el foro de soporte
  • Que se arregle ese problema puntual
  • Para poder actualizar a PHP 8 sin problemas
  • Del core no te preocupes que WordPress está listo para trabajar con PHP 8
  • A pesar de toda esto PHP
  • Tiene mucha repercusión dentro de todo internet
  • Facebook, Wikipedia, Slack y WordPress
  • Están basados en PHP
  • Es un lenguaje de programación muy popular
  • Desde nuestro lado
  • Debemos solicitar a los desarrolladores
  • Que hagan sus plugins compatibles para PHP 8
  • ¿Y cómo sabremos que no lo son?
  • Probando y reportando errores
  • Si el desarrollador pasa de nuestra solicitud
  • Tenemos ya una buena razón para buscar un plugin
  • Que resuelva esa funcionalidad
  • Pero que sea compatible

Sería genial que como usuarios no tuviéramos que preocuparnos por estos asuntos y lo único que hiciéramos es crear contenido y monetizar nuestros negocios.
Pero internet no es así… Y debemos estar atentos y estar al día con lo que usamos para que nuestro WordPress funcione porque no solo tendremos un mejor rendimiento… También estaremos más seguros.

Te comparto el enlace: 98.7 Percent of the Web Is Using Outdated Versions of PHP para que veas con detalles los números y porcentajes.

Si querés ponerte en contacto conmigo, podes escribirme en mi Formulario de contacto aquí en la web 😉

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *